FEDORA-EPEL-2020-4fdca9429c created by buc 2 years ago for Fedora EPEL 7
obsolete

Upgrade to 2.53.1

SeaMonkey-2.53.1, being initially based on the Firefox-56 and Thunderbird-56 code, incorporates now a lot of backported features and security fixes from the newer Firefox/Thunderbird versions up to 75. That way it tries to be a modern browser, preserving the same time the familiar user interface and the ability to use traditional extensions and addons.

This version makes changes to your profile that can't be reverted in case you want to go back to a previous version of SeaMonkey. You MUST absolutely do a full backup of your profile (~/.mozilla/seamonkey/ dir) BEFORE trying to run new version.

SeaMonkey now uses GTK3 library for GUI interface. If you experienced some size issues, go to "about:config" and try to set "layout.css.devPixelsPerPx" preference to "1" (or any other preferred value). You can also use gtk3's environment variables GDK_SCALE and/or GDK_DPI_SCALE (useful for HiDPI displays). Since Classic theme uses system desktop theme, it might behaves incorrectly when the underlying theme (still) does not support gtk3.

Full theme add-ons may need changes because of user interface and internal changes. If you find any problem with themes, contact the theme author. Before reporting a problem with the user interface, please make sure to recreate it with either the Classic or Modern theme.

This version now includes "Lightning" calendar. It becomes a standard part of Thunderbird/SeaMonkey, being just technically organized as an extension. This version returns providing of Chatzilla and DOM inspector extensions, just as it always was before.

It is likely you need to update your third party extensions to newer versions. Poorly designed or incompatible extensions can cause unpredictable problems. If you encounter some strange issues, try "seamonkey -safe-mode" from command line.

Unfortunately, it is now impossible to continue support of npapi plugins. Thus, java applets no more work :( . All modern browsers have dropped such support years ago, and even plugin owners recommend to not use it anymore. Search "browsers with java support" if you still need it. Sorry for that. Flash is still supported, at least until its EOL at the end of 2020.

Since 2.53.1, 32-bit version (i686 arch) does not provided, because no more supported.

The old format of keys and certificates storage in the user profiles still preserved in Fedora. DO NOT TOUCH key3.db and cert8.db files (as it might be recommended in the upstream release notes) -- they still works as expected.

Please, read upstream release notes for more info https://www.seamonkey-project.org/releases/seamonkey2.53.1/

This update has been submitted for testing by buc.

2 years ago

This update's test gating status has been changed to 'waiting'.

2 years ago

This update has obsoleted seamonkey-2.53.1-1.el7, and has inherited its bugs and notes.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

buc edited this update.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon lam provided feedback 2 years ago
karma
BZ#1808197 seamonkey-2.53.1.source is available
User Icon leejnk commented & provided feedback 2 years ago
karma

Works on RHEL 7 (EPEL 7)

BZ#1808197 seamonkey-2.53.1.source is available

This update can be pushed to stable now if the maintainer wishes

2 years ago

This update has been obsoleted by seamonkey-2.53.1-3.el7.

2 years ago

Please login to add feedback.

Metadata
Type
security
Severity
high
Karma
2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
14 days
Dates
submitted
2 years ago
in testing
2 years ago
modified
2 years ago
BZ#1808197 seamonkey-2.53.1.source is available
0
2

Automated Test Results